xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Opened 9 months ago

Closed 9 months ago

Last modified 6 months ago

#2911 closed defect (invalid)

xpra from ubuntu repository broken packaging

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: major Milestone: 4.1
Component: packaging Version: 3.0.x
Keywords: Cc:

Description

# apt-get install xpra
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libxatracker2 libxvmc1 x11-apps x11-session-utils xinit xinput
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  freeglut3 libgtkglext1 libpango1.0-0 libpangox-1.0-0 python-dbus python-gi-cairo python-gtkglext1 python-lz4 python-lzo
  python-olefile python-opengl python-pil python-rencode ssh-askpass xserver-xorg-core xserver-xorg-input-void
  xserver-xorg-video-dummy
Suggested packages:
  python-dbus-dbg python-dbus-doc python-tk python-numpy libgle3 python-pil-doc python-pil-dbg python-pyopencl
  python-gst-1.0 python-avahi python-netifaces cups-pdf python-cups python-opencv v4l2loopback-dkms python-yaml
  xfonts-100dpi | xfonts-75dpi
The following packages will be REMOVED:
  ubuntu-mate-core ubuntu-mate-desktop xorg xserver-xorg-core-hwe-18.04 xserver-xorg-hwe-18.04
  xserver-xorg-input-all-hwe-18.04 xserver-xorg-input-libinput-hwe-18.04 xserver-xorg-input-wacom-hwe-18.04
  xserver-xorg-video-all-hwe-18.04 xserver-xorg-video-amdgpu-hwe-18.04 xserver-xorg-video-ati-hwe-18.04
  xserver-xorg-video-fbdev-hwe-18.04 xserver-xorg-video-intel-hwe-18.04 xserver-xorg-video-nouveau-hwe-18.04
  xserver-xorg-video-qxl-hwe-18.04 xserver-xorg-video-radeon-hwe-18.04 xserver-xorg-video-vesa-hwe-18.04
  xserver-xorg-video-vmware-hwe-18.04
The following NEW packages will be installed:
  freeglut3 libgtkglext1 libpango1.0-0 libpangox-1.0-0 python-dbus python-gi-cairo python-gtkglext1 python-lz4 python-lzo
  python-olefile python-opengl python-pil python-rencode ssh-askpass xpra xserver-xorg-core xserver-xorg-input-void
  xserver-xorg-video-dummy
0 upgraded, 18 newly installed, 18 to remove and 0 not upgraded.
Need to get 4,417 kB of archives.
After this operation, 11.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.
root@apple-imac-ubuntu:~# lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 18.04.5 LTS
Release:	18.04
Codename:	bionic
root@apple-imac-ubuntu:~# apt-cache search xpra
xpra - tool to detach/reattach running X programs
root@apple-imac-ubuntu:~# apt-cache showpkg xpra
Package: xpra
Versions: 
2.1.3+dfsg-1ubuntu1 (/var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_bionic_universe_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_bionic_universe_binary-amd64_Packages
                  MD5: 90e0935f2f12bec4f49f079128ce5530
 Description Language: 
                 File: /var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_bionic_universe_binary-i386_Packages
                  MD5: 90e0935f2f12bec4f49f079128ce5530
 Description Language: en
                 File: /var/lib/apt/lists/fi.archive.ubuntu.com_ubuntu_dists_bionic_universe_i18n_Translation-en
                  MD5: 90e0935f2f12bec4f49f079128ce5530


Reverse Depends: 
  firejail,xpra
  xpra:i386,xpra
Dependencies: 
2.1.3+dfsg-1ubuntu1 - python (3 2.8) python (2 2.7~) python:any (3 2.8) python:any (2 2.7.5-5~) libavcodec57 (18 7:3.4.2) libavcodec-extra57 (2 7:3.4.2) libavformat57 (2 7:3.4.2) libavutil55 (2 7:3.4.2) libc6 (2 2.14) libglib2.0-0 (2 2.12.0) libgtk2.0-0 (2 2.24.0) libswscale4 (2 7:3.4.2) libvpx5 (2 1.6.0) libx11-6 (2 2:1.2.99.901) libx264-152 (0 (null)) libx265-146 (2 2.6) libxcomposite1 (2 1:0.3-1) libxdamage1 (2 1:1.1) libxext6 (0 (null)) libxfixes3 (0 (null)) libxi6 (2 2:1.2.99.4) libxkbfile1 (0 (null)) libxrandr2 (2 4.3) libxtst6 (0 (null)) adduser (0 (null)) python-gi-cairo (0 (null)) python-gtk2 (0 (null)) x11-xserver-utils (0 (null)) xserver-xorg-input-void (0 (null)) xserver-xorg-video-dummy (0 (null)) python-rencode (0 (null)) keyboard-configuration (3 1.82) keyboard-configuration:i386 (3 1.82) openssh-client (0 (null)) ssh-askpass (0 (null)) keyboard-configuration (2 1.82) python-lz4 (0 (null)) python-lzo (0 (null)) python-pil (16 (null)) python-imaging (0 (null)) python-gtkglext1 (0 (null)) python-dbus (0 (null)) openssh-server (0 (null)) python-pyopencl (0 (null)) gstreamer1.0-plugins-base (0 (null)) gstreamer1.0-plugins-good (16 (null)) gstreamer1.0-plugins-ugly (16 (null)) gstreamer1.0-plugins-bad (0 (null)) python-gst-1.0 (0 (null)) pulseaudio (0 (null)) pulseaudio-utils (0 (null)) python-avahi (0 (null)) python-netifaces (0 (null)) cups-filters (0 (null)) cups-common (0 (null)) cups-pdf (0 (null)) python-cups (0 (null)) python-opencv (0 (null)) v4l2loopback-dkms (0 (null)) python-yaml (0 (null)) xpra:i386 (32 (null)) 
Provides: 
2.1.3+dfsg-1ubuntu1 - 
Reverse Provides:

It wants to remove xorg, etc

Change History (2)

comment:1 Changed 9 months ago by Antoine Martin

Resolution: invalid
Status: newclosed

Do not use the packages from the Ubuntu repositories!

They never work properly - this is well documented: wiki/Packaging/DistributionPackages/Ubuntu

Last edited 9 months ago by Antoine Martin (previous) (diff)

comment:2 Changed 6 months ago by migration script

this ticket has been moved to: https://github.com/Xpra-org/xpra/issues/2911

Note: See TracTickets for help on using tickets.